Class | XSD::NSDBase
In: | xsd/datatypes.rb
Parent: | Object

The base class of all datatypes with Namespace.

### Methods

inherited init new types

### Attributes

type | [RW] |

### Public Class methods

inherited(klass)

[Source]

    # File xsd/datatypes.rb, line 92
      def self.inherited(klass)
        @@types << klass
      end

new()

[Source]

    # File xsd/datatypes.rb, line 100
      def initialize
      end

types()

[Source]

    # File xsd/datatypes.rb, line 96
      def self.types
        @@types
      end

### Public Instance methods

init(type)

[Source]

    # File xsd/datatypes.rb, line 103
      def init(type)
        @type = type
      end

[Validate]